# $Revision: 1.9 $, $Date: 2007-06-12 09:49:09 $
Summary:	Touchpad configuration module for KDE Control Center
Summary(pl.UTF-8):	Moduł konfiguracyjny dla touchpadów do centrum sterowania KDE
Name:		ksynaptics
Version:	0.3.3
Release:	1
License:	GPL
Group:		X11/Applications
Source0:	http://qsynaptics.sourceforge.net/%{name}-%{version}.tar.gz
# Source0-md5:	63e241f3617408a4952591201059b3a5
Patch0:		kde-ac260-lt.patch
URL:		http://qsynaptics.sourceforge.net/
BuildRequires:	autoconf
BuildRequires:	automake
BuildRequires:	kdelibs-devel >= 9:3.2.0
BuildRequires:	libsynaptics-devel >= 0.14.6c
BuildRequires:	rpmbuild(macros) >= 1.129
Requires:	xorg-driver-input-synaptics >= 0.14.6
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
KSynaptics is a control center module that enables users to take full
advantage of their mobiles' Synaptics touch pad. It depends on the
XFree86's synaptics driver and offers the following features:
 - adjustable pressure sensitivity
 - tapping configuration / smart tapping
 - mouse button emulation
 - circular scrolling
 - smart mode

%description -l pl.UTF-8
KSynaptics to moduł centrum sterowania KDE pozwalający użytkownikom
korzystać z pełni możliwości touchpadów Synaptics. Polega na
sterowniku synapics z XFree86 i oferuje następujące możliwości:
 - regulowanie czułości nacisku
 - konfiguracja stukania
 - emulacja przycisków myszy
 - przewijanie w kółko
 - tryb inteligentny

%prep
%setup -q
%patch0 -p1

%build
%configure \
	--disable-rpath \
%if "%{_lib}" == "lib64"
	--enable-libsuffix=64 \
%endif
	--%{?debug:en}%{!?debug:dis}able-debug%{?debug:=full} \
	--with-qt-libraries=%{_libdir}
%{__make}

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT{%{_pixmapsdir},%{_desktopdir}}

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT \
	kde_htmldir=%{_kdedocdir} \
	kde_libs_htmldir=%{_kdedocdir} \
	kdelnkdir=%{_desktopdir} \

%find_lang %{name}  --with-kde --all-name

%clean
rm -rf $RPM_BUILD_ROOT

%files -f %{name}.lang
%defattr(644,root,root,755)
%attr(755,root,root) %{_bindir}/*
%attr(755,root,root) %{_libdir}/kde3/*.so
%{_libdir}/kde3/*.la
%attr(755,root,root) %{_libdir}/*.so
%{_libdir}/*.la
%{_desktopdir}/kde/ksynaptics.desktop
%{_iconsdir}/*/*/apps/%{name}.png
%{_iconsdir}/*/*/apps/syndock*.png
%{_datadir}/autostart/*
%{_datadir}/config.kcfg/*

%define	date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: ksynaptics.spec,v $
Revision 1.9  2007-06-12 09:49:09  prism
- 0.3.3

Revision 1.8  2007/02/24 14:10:16  rotom
- up to 0.3.2

Revision 1.7  2007/02/13 06:46:50  glen
- tabs in preamble

Revision 1.6  2007/02/12 00:49:01  baggins
- converted to UTF-8

Revision 1.5  2006/11/12 01:38:29  arekm
- update

Revision 1.4  2006/05/15 15:54:59  prism
- up to 0.3.1

Revision 1.3  2006/02/28 23:37:25  glen
- adapterized (killed trailing spaces/tabs)

Revision 1.2  2006/01/08 21:35:46  qboosh
- pl

Revision 1.1  2006/01/02 00:12:35  djurban
- synaptics control center module for KDE
- not adding proper polish summary/description, cant mange to configure .pl
  keyboard on this laptop :)
